/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.stocktaking.view;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class KardexOutStocktakingView implements Serializable {

    private static final long serialVersionUID = -6288786958693094307L;

    private String id;
    private Date fecha;
    private String taxi;
    private int cantidad;
    private String producto;
    private String codigoProducto;
    private String marca;
    private String brandId;
    private Float precio;
    private float total;
    private float mayoreo;
    private String comentarios;
    private String usuario;
    private String ordenServicio;
    private String serviceId;
    private String productId;
    private String taxiId;
    private String estatus;
    private Double priceToPay;
    private String cobrado;
    private String financiado;
    private String cliente;
    private Date payDate;
    private String usuarioCobro;
    private Date financeDate;
    private String usuarioFinanza;
    private String commercialInvoiceStatus;
    private String location;

    public KardexOutStocktakingView() {
    }

    public KardexOutStocktakingView(String id) {
        this.id = id;
    }

    public String getEstatus() {
        return estatus;
    }

    public void setEstatus(String estatus) {
        this.estatus = estatus;
    }

    public float getMayoreo() {

        return mayoreo * cantidad;
    }

    public void setMayoreo(float mayoreo) {
        this.mayoreo = mayoreo;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public String getTaxi() {
        return taxi;
    }

    public void setTaxi(String taxi) {
        this.taxi = taxi;
    }

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    public String getProducto() {
        return producto;
    }

    public void setProducto(String producto) {
        this.producto = producto;
    }

    public String getCodigoProducto() {
        return codigoProducto;
    }

    public void setCodigoProducto(String codigoProducto) {
        this.codigoProducto = codigoProducto;
    }

    public String getMarca() {
        return marca;
    }

    public void setMarca(String marca) {
        this.marca = marca;
    }

    public Float getPrecio() {
        return precio;
    }

    public void setPrecio(Float precio) {
        this.precio = precio;
    }

    public float getTotal() {
        return total;
    }

    public void setTotal(float total) {
        this.total = total;
    }

    public String getComentarios() {
        return comentarios;
    }

    public void setComentarios(String comentarios) {
        this.comentarios = comentarios;
    }

    public String getUsuario() {
        return usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }

    public String getOrdenServicio() {
        return ordenServicio;
    }

    public void setOrdenServicio(String ordenServicio) {
        this.ordenServicio = ordenServicio;
    }

    public String getBrandId() {
        return brandId;
    }

    public void setBrandId(String brandId) {
        this.brandId = brandId;
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getTaxiId() {
        return taxiId;
    }

    public void setTaxiId(String taxiId) {
        this.taxiId = taxiId;
    }

    public Double getPriceToPay() {
        return priceToPay;
    }

    public void setPriceToPay(Double priceToPay) {
        this.priceToPay = priceToPay;
    }

    public String getCobrado() {
        return cobrado;
    }

    public void setCobrado(String cobrado) {
        this.cobrado = cobrado;
    }

    public String getCliente() {
        return cliente;
    }

    public void setCliente(String cliente) {
        this.cliente = cliente;
    }

    public String getFinanciado() {
        return financiado;
    }

    public void setFinanciado(String financiado) {
        this.financiado = financiado;
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public String getUsuarioCobro() {
        return usuarioCobro;
    }

    public void setUsuarioCobro(String usuarioCobro) {
        this.usuarioCobro = usuarioCobro;
    }

    public Date getFinanceDate() {
        return financeDate;
    }

    public void setFinanceDate(Date financeDate) {
        this.financeDate = financeDate;
    }

    public String getUsuarioFinanza() {
        return usuarioFinanza;
    }

    public void setUsuarioFinanza(String usuarioFinanza) {
        this.usuarioFinanza = usuarioFinanza;
    }

    public String getCommercialInvoiceStatus() {
        return commercialInvoiceStatus;
    }

    public void setCommercialInvoiceStatus(String commercialInvoiceStatus) {
        this.commercialInvoiceStatus = commercialInvoiceStatus;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
    
    

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 41 * hash + Objects.hashCode(this.id);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final KardexOutStocktakingView other = (KardexOutStocktakingView) obj;
        if (!Objects.equals(this.id, other.id)) {
            return false;
        }
        return true;
    }
    
    @Override
    public String toString(){
        return ordenServicio +": " + producto + " " + codigoProducto + " " + marca + " $" + priceToPay;
    }
    
    
    

}
